<?php

require_once 'connect.php';
require_once 'inc/messages.php';
require_once 'inc/usuario.php';

if(isset($_POST["alterar_senha"])){
    
    $id_usuario   = trim($_POST['id_usuario']);
    $senha_nova   = trim($_POST['senha_nova']);
    $senha_nova2  = trim($_POST['senha_nova2']);
    
    $ok = true;

      echo  $id_usuario ;
  if (!empty($senha_nova)) {
    if (strlen($senha_nova) < 5) {

      addMessage('Senha deve ter no mínimo 5 caracteres');

      $ok = false;
    }
    if ($ok && $senha_nova !== $senha_nova2) {

      addMessage('A primeira e a segunda senha estão diferentes');

      $ok = false;
    }
  }
  if ($ok) {

        $senha_hash = password_hash($senha_nova, PASSWORD_DEFAULT);
        
        $sql = "update erpc_usuarios set ds_senha = '$senha_hash' where id = $id_usuario";
        
        $stmt = mysqli_prepare($conexao, $sql) or die(mysqli_error($conexao) . "<br>" . $sql . "<br>");
        $update_ok = mysqli_stmt_execute($stmt) or die(mysqli_error($conexao) . "<br>" . $sql . "<br>");
        
        if($update_ok){
            addMessage('Senha alterada com sucesso');
        } else {
            addError('Ocorreu um erro ao executar a atualização da senha, entre em contato com o administrador');
        }
        
    }

header("Location:erpc_alterar_senha.php");
  }

?>